GEOS: geos::algorithm::BoundaryNodeRule Class Reference

Public Member Functions | Static Public Attributes

# geos::algorithm::BoundaryNodeRule Class Reference

`#include <BoundaryNodeRule.h>`

List of all members.

## Public Member Functions
virtual bool | isInBoundary (int boundaryCount) const =0
## Static Public Attributes
static const BoundaryNodeRule & | MOD2_BOUNDARY_RULE
| The Mod-2 Boundary Node Rule (which is the rule specified in the OGC SFS).
static const BoundaryNodeRule & | ENDPOINT_BOUNDARY_RULE
| The Endpoint Boundary Node Rule.
static const BoundaryNodeRule & | MULTIVALENT_ENDPOINT_BOUNDARY_RULE
| The MultiValent Endpoint Boundary Node Rule.
static const BoundaryNodeRule & | MONOVALENT_ENDPOINT_BOUNDARY_RULE
| The Monovalent Endpoint Boundary Node Rule.
static const BoundaryNodeRule & | OGC_SFS_BOUNDARY_RULE
| The Boundary Node Rule specified by the OGC Simple Features Specification, which is the same as the Mod-2 rule.

## Detailed Description

An interface for rules which determine whether node points which are in boundaries of Lineal geometry components are in the boundary of the parent geometry collection. The SFS specifies a single kind of boundary node rule, the Mod2BoundaryNodeRule rule. However, other kinds of Boundary Node Rules are appropriate in specific situations (for instance, linear network topology usually follows the EndPointBoundaryNodeRule.) Some JTS operations allow the BoundaryNodeRule to be specified, and respect this rule when computing the results of the operation.

Author:
  Martin Davis

Version:
  1.7

See also:
  operation::relate::RelateOp
  operation::IsSimpleOp
  algorithm::PointLocator

## Member Function Documentation

virtual bool geos::algorithm::BoundaryNodeRule::isInBoundary | ( | int | boundaryCount ) | const`[pure virtual]`

Tests whether a point that lies in `boundaryCount` geometry component boundaries is considered to form part of the boundary of the parent geometry.

Parameters:

  boundaryCount | the number of component boundaries that this point occurs in

Returns:
  true if points in this number of boundaries lie in the parent boundary

## Member Data Documentation

const BoundaryNodeRule& geos::algorithm::BoundaryNodeRule::ENDPOINT_BOUNDARY_RULE`[static]`

The Endpoint Boundary Node Rule.

See also:
  EndPointBoundaryNodeRule

const BoundaryNodeRule& geos::algorithm::BoundaryNodeRule::MOD2_BOUNDARY_RULE`[static]`

The Mod-2 Boundary Node Rule (which is the rule specified in the OGC SFS).

See also:
  Mod2BoundaryNodeRule

const BoundaryNodeRule& geos::algorithm::BoundaryNodeRule::MONOVALENT_ENDPOINT_BOUNDARY_RULE`[static]`

The Monovalent Endpoint Boundary Node Rule.

See also:
  MonoValentEndPointBoundaryNodeRule

const BoundaryNodeRule& geos::algorithm::BoundaryNodeRule::MULTIVALENT_ENDPOINT_BOUNDARY_RULE`[static]`

The MultiValent Endpoint Boundary Node Rule.

See also:
  MultiValentEndPointBoundaryNodeRule

const BoundaryNodeRule& geos::algorithm::BoundaryNodeRule::OGC_SFS_BOUNDARY_RULE`[static]`

The Boundary Node Rule specified by the OGC Simple Features Specification, which is the same as the Mod-2 rule.

See also:
  Mod2BoundaryNodeRule

The documentation for this class was generated from the following file:

- BoundaryNodeRule.h